APIAnalytics

List tool access systems

Systems ranked by calls, optionally for one identity.

GET
/analytics/tool-access/systems

Systems ranked by calls, optionally for one identity.

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.

Required permission

view_user_analytics

Query Parameters

offset?integer

Number of items to skip before returning results.

Formatint32
Range0 <= value
Default0
limit?integer

Maximum number of items to return per page.

Formatint32
Range0 <= value <= 256
Default10
start_time*string

Start of the time range to report on, inclusive.

Formatdate-time
end_time*string

End of the time range to report on, exclusive.

Formatdate-time
user_email?string

Restrict to one identity's calls.

exclude_local?boolean

Leave out client built-in (local) calls.

Response Body

The request has succeeded.

application/json
  1. response

Systems ranked by call count.

items*array<>

The items in this page.

meta*

Paging information for a list response.

curl -X GET "https://example.com/analytics/tool-access/systems?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"
{  "items": [    {      "system": "string",      "data_class": "unclassified",      "calls": 0,      "sensitive_calls": 0,      "write_calls": 0,      "identities": 0,      "actions": [        "create"      ],      "top_severity": "unclassified"    }  ],  "meta": {    "total": 0,    "offset": 0,    "limit": 0  }}